{$R-,S-,I-,A+}
{
 Send strings to MAILRDEV using a text device driver.
 called with command line parameters
 C>mailwdev localname remotename
 e.g. c>mailwdev mail1 homer    send to mailbox 'mail1' on host 'homer'
      c>mailwdev mail1          send to mailbox 'mail1' on this host
      c>mailwdev mail1 *        send to mailbox 'mail1' on all hosts
}
uses Hl_mail, Dos, Crt ;

var
  outmail  : text ;
  ecode    : integer ;
  indx     : integer ;
  lname    : string ;
  rname    : string ;

Procedure CheckErr( ecode : integer ) ;
begin
  if (ecode=0) or (ecode=121) then
    Exit ;
  Writeln( ' ** DOS error ',ecode ) ;
  Halt ;
end ;

begin
  Writeln ;
  lname := Paramstr(1) ;
  rname := '' ;
  if ( paramcount>1 ) then
    rname := Paramstr(2) ;
  Assignmail( rname,lname,1,1,outmail ) ;
  CheckErr( IoResult ) ;
  Rewrite( outmail ) ;
  CheckErr( IoResult ) ;
  Writeln( ' ++ Writing to mailslot <',Textrec(outmail).name,'>' ) ;
  indx := 1 ;
  while indx<=100 do
    begin
      Gotoxy( 1,Wherey ) ;
      Write( ' -- Test message #',indx ) ;
      Writeln( outmail,'Test message #',indx ) ;
      CheckErr( Ioresult ) ;
      Inc( indx ) ;
      { Delay( 1 ) ; } {optional delay here}
    end ;
  Close( outmail ) ;
  ecode := Ioresult ;
  Writeln( ' ... done' ) ;
end .