{$A+,B-,D+,E-,F+,G+,I-,L+,N-,O-,P-,Q-,R-,S-,T-,V+,X+,Y+}
{$M 16384,0,655360}
{
 Receive strings from MAILWDEV using a text device driver.
 called with command line parameters
 C>mailrdev localname
 e.g. c>mailrdev mail1     receive mail in mailbox 'mail1'
}
uses Hl_mail, Dos, Crt ;

var
  inmail   : text ;
  ecode    : integer ;
  dline    : string ;
  messages : word ;
  lname    : string ;
  rname    : string ;

Procedure CheckErr( ecode : integer ) ;
begin
  if (ecode=0) or (ecode=121) then
    Exit ;
  Writeln( ' ** DOS error ',ecode ) ;
  Halt ;
end ;

begin
  messages := 0 ;
  ClrScr ;
  lname := Paramstr(1) ;
  rname := '' ;
  Assignmail( rname,lname,1,1,inmail ) ;
  CheckErr( IoResult ) ;
  Reset( inmail ) ;
  CheckErr( IoResult ) ;
  Writeln( ' ++ Reading mailslot <',textRec( inmail ).name,'>' ) ;
  while Not( Keypressed ) do
    begin
      Readln( inmail,dline ) ;
      ecode := Ioresult ;
      if ( ecode<>0 ) and ( ecode<>msErrTime ) then
        begin
          Writeln( ' ** Dos Error : ',ecode,'  ') ;
          Break ;
        end ;
      if ( dline<>'' ) then
        begin
          Writeln( messages:5,' ',dline ) ;
          Inc( messages ) ;
        end ;
    end ;
  Close( inmail ) ;
  CheckErr( Ioresult ) ;
end .